"use client"

import { cn } from '@/lib/utils';
import { useState } from 'react';
import { Button } from './ui/button';
import { Icons } from './ui/icons';
import { Input } from './ui/input';
import { toast } from './ui/use-toast';

interface DocsSearchProps extends React.HTMLAttributes<HTMLFormElement> { }

export default function Search({ className, ...props }: DocsSearchProps) {
    const [searchText, setSearchText] = useState('');

    function onSubmit(event: React.SyntheticEvent) {
        event.preventDefault()

        return toast({
            title: "Not implemented",
            description: "We're still working on the search.",
        })
    };

    return (
        <form
            onSubmit={onSubmit}
            className={cn("relative w-full flex justify-end items-center", className)}
            {...props}
        >
            <Input
                type="search"
                placeholder="Search..."
                className="rounded-full pr-12"
            />
            <Button variant="outline" size="lg" className="absolute align-middle h-8 px-2.5 mr-1">
                <Icons.arrowRight className="h-3 w-3" />
            </Button>
        </form>
    );
}