"use client"

import { Select, SelectContent, SelectGroup, SelectItem, SelectLabel, SelectTrigger, SelectValue } from "@/components/ui/select";
import { useState } from "react";
import { Card } from "./ui/card";

export default function Sort() {
  const [select, setSelect] = useState<string>('');

  const handleChange = (event: any) => {
    const selectedOption = event.target.value as string;
    setSelect(selectedOption);
  };

  return (
    <Card className="p-6 grid items-start gap-2">
      <Select>
        <SelectTrigger className="w-full">
          <SelectValue placeholder="Sort by..." />
        </SelectTrigger>
        <SelectContent>
          <SelectGroup>
            <SelectLabel>Sorting</SelectLabel>
            <SelectItem value="">Any</SelectItem>
            <SelectItem value="name">Name</SelectItem>
            <SelectItem value="rating">Rating</SelectItem>
          </SelectGroup>
        </SelectContent>
      </Select>

      <h1 className="pt-3">Filter</h1>
      <Select>
        <SelectTrigger className="w-full">
          <SelectValue placeholder="By genre..." />
        </SelectTrigger>
        <SelectContent>
          <SelectGroup>
            <SelectLabel>Genre</SelectLabel>
            <SelectItem value="">Any</SelectItem>
            <SelectItem value="action">Action</SelectItem>
            <SelectItem value="simulation">Simulation</SelectItem>
          </SelectGroup>
        </SelectContent>
      </Select>

      <Select>
        <SelectTrigger className="w-full">
          <SelectValue placeholder="By platform..." />
        </SelectTrigger>
        <SelectContent>
          <SelectGroup>
            <SelectLabel>Platform</SelectLabel>
            <SelectItem value="">Any</SelectItem>
            <SelectItem value="pc">PC</SelectItem>
            <SelectItem value="playstation">Playstation</SelectItem>
            <SelectItem value="xbox">Xbox</SelectItem>
            <SelectItem value="nintendo">Nintendo</SelectItem>
          </SelectGroup>
        </SelectContent>
      </Select>
    </Card>
  )
}